Subject: Re: Daylily seed
From: [email-masked] (Ann Hruska)
Date: 12 Aug 1994 21:24:37 -0500
Newsgroups: bionet.plants

Directions for germination of daylily seeds from "Park's Success With
Seeds" (1978, George W. Park Co.): Sow seeds outdoors in late fall
or early spring for late spring germination. Indoors, place seeds in
moistened medium and refrigerate for six weeks, followed by germin-
ation at a temperature within the medium of 60-70 degrees. Germination
time varies between 3-7 weelks. I hope this info isn't too late!
###